<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * administrator/components/com_jmylife/models/cpanel.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Cpanel Model
 *
 * @package    JMyLife
 * @subpackage Components
 */
class JmylifeModelCpanel extends JModel
{
	/**
	 * latest story list
	 * @var array
	 */
	var $_latest = null;
	var $_latestcomments = null;
	var $_best = null;
	
	/**
	 * contructor
	 */
	function __construct()
	{
		parent::__construct();
	}
	
	/**
	 * builds query
	 * @return string
	 * 
	 */
	function _buildLatestQuery()
	{
		// build query
		$query = 'SELECT '
		       . 's.*, cat.`name` AS catname '
		       . 'FROM `#__jmylife_stories` AS s '
		       . 'LEFT JOIN `#__jmylife_categories` AS cat'
		       . ' ON ( cat.`id` = s.`catid` ) '
		       . 'GROUP BY s.`id` '
		       . 'ORDER BY s.`time` DESC '
		       ;
		return $query;
	}
	
	/**
	 * builds comment query
	 * @return string
	 * 
	 */
	function _buildLatestCommentsQuery()
	{
		// build query
		$query = 'SELECT '
		       . 'c.* '
		       . 'FROM `#__jmylife_comments` AS c '
		       . 'ORDER BY c.`time` DESC '
		       ;
		return $query;
	}
  
	/**
	 * builds best query
	 * @return string
	 * 
	 */
	function _buildBestQuery()
	{
		// build query
		$query = 'SELECT '
		       . 's.*, cat.`name` AS catname '
		       . 'FROM `#__jmylife_stories` AS s '
		       . 'LEFT JOIN `#__jmylife_categories` AS cat'
		       . ' ON ( cat.`id` = s.`catid` ) '
		       . 'GROUP BY s.`id` '
		       . 'ORDER BY s.`votes1` DESC, s.`time` DESC '
		       ;
		return $query;
	}
	
	/**
	 * Gets the list data
	 * @return stdClass object of listings
	 * 
	 * @todo use Joomla Tables instead of simple queries
	 */
	function getLatest()
	{
		// if data hasn't already been obtained, load it
		if( empty( $this->_latest ) )
		{
			$query = $this->_buildLatestQuery();
			$this->_latest = $this->_getList( $query, 0, 5 );
		}
		return $this->_latest;
	}
	
	/**
	 * Gets the list data
	 * @return stdClass object of listings
	 * 
	 * @todo use Joomla Tables instead of simple queries
	 */
	function getLatestComments()
	{
		// if data hasn't already been obtained, load it
		if( empty( $this->_latestcomments ) )
		{
			$query = $this->_buildLatestCommentsQuery();
			$this->_latestcomments = $this->_getList( $query, 0, 5 );
		}
		return $this->_latestcomments;
	}
	
	/**
	 * Gets the list data for best
	 * @return stdClass object of listings
	 * 
	 * @todo use Joomla Tables instead of simple queries
	 */
	function getBest()
	{
		// if data hasn't already been obtained, load it
		if( empty( $this->_best ) )
		{
			$query = $this->_buildBestQuery();
			$this->_best = $this->_getList( $query, 0, 5 );
		}
		return $this->_best;
	}
}
