<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * administrator/components/com_jmylife/views/moderate/tmpl/default.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo JmylifeCommon::updateBar();
?>
<form id="adminForm" action="<?php echo JRoute::_( 'index.php' );?>" method="post" name="adminForm">
<table class="adminlist">
	<thead>
		<tr>
			<th width="10">
				<?php echo JText::_( 'COM_JMYLIFE_CORE_NUM' ); ?>
			</th>
			<th width="10">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th><?php
				// since 1.0.5, title is optional
				// only show title if it's turned on
				if( (int)( $this->cparams->get( 'allow_titles' ) ) == 1 ) : ?>
			<th class="title" nowrap="nowrap" align="left">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_STORY_TITLE_TITLE'), 's.title', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th><?php
				endif;
			?>
			<th class="title" nowrap="nowrap" align="left">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_STORY_TITLE_TEXT'), 's.fulltext', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th class="title" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_STORY_TITLE_AUTHOR'), 's.user_alias', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<!-- since 1.0.5 -->
			<th class="title" nowrap="nowrap" align="left">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_STORY_TITLE_ADMIN_RESPONSE'), 's.admin_fulltext', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<!-- since 1.0.11 -->
			<th width="5%">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_STORY_TITLE_REPORTED'), 's.reported', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<!-- since 1.0.5 -->
			<th width="5%">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_CORE_ALLOWCOMMENTS'), 's.allow_comments', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<!-- since 1.0.5 -->
			<th width="5%">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_CORE_ALLOWVOTES'), 's.allow_votes', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="5%">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_CORE_PUBLISHED'), 's.published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th class="title" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_STORY_TITLE_CATEGORY'), 'catname', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th align="center" width="10">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_CORE_DATE'), 's.time', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="10" class="title">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_CORE_ID'), 's.id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="12">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
		<?php
			$k = 0;
			for( $i=0, $n=count( $this->items ); $i < $n; $i++ )
			{
				$row =& $this->items[$i];
				$checked = JHTML::_( 'grid.id', $i, $row->id );
				$published = JHTML::_('grid.published', $row, $i );
				$date = $date = date(JText::_('COM_JMYLIFE_STORY_DATEFORMAT'), $row->time);
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $this->pagination->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td><?php
						// since 1.0.5, title is optional
						// only show title if it's turned on
						if( (int)( $this->cparams->get( 'allow_titles' ) ) == 1 ) : ?>
					<td>
						<a href="index.php?option=com_jmylife&amp;view=moderate&amp;task=edit&amp;controller=moderate&amp;cid=<?php echo $row->id; ?>"><?php
							// since 1.0.5 this is preprocessed
							echo $row->title;
						?></a>
					</td><?php
						endif;
					?>
					<td>
						<?php
							if (0 == strlen($row->fulltext)) {
								$text = JText::_('COM_JMYLIFE_STORY_NOTEXT');
							} else {
								$text = JmylifeCommon::shortenText( $row->fulltext, 75 );
							}
						?>
						<a href="index.php?option=com_jmylife&amp;view=moderate&amp;task=edit&amp;controller=moderate&amp;cid=<?php echo $row->id; ?>"><?php
							echo $text;
						?></a>
					</td>
					<td>
						<?php echo $row->user_alias; ?>
					</td>
					<td>
						<?php echo JmylifeCommon::shortenText( $row->admin_fulltext, 45 ); ?>
					</td>
					<td align="center">
						<?php echo $row->is_reported; ?>
					</td>
					<td align="center">
						<?php echo $row->comment_toggle; ?>
					</td>
					<td align="center">
						<?php echo $row->votes_toggle; ?>
					</td>
					<td align="center">
						<?php echo $published; ?>
					</td>
					<td>
						<?php echo $row->catname; ?>
					</td>
					<td>
						<?php echo $date; ?>
					</td>
					<td>
						<?php echo $row->id; ?>
					</td>
				</tr>
		<?php
			}
		?>
	</tbody>
</table>
<input type="hidden" name="option" value="com_jmylife" />
<input type="hidden" name="view" value="moderate" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="moderate" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="boxchecked" value="0" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>